SIMECK32 Class Reference

SIMECK 32-bit block cipher. More...

`#include <simeck.h>`

Inheritance diagram for SIMECK32:

## Classes

class | Base
| SIMECK block cipher transformation functions. More...
class | Dec
| Decryption transformation. More...
class | Enc
| Encryption transformation. More...

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from SIMECK32_Info
static const std::string | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from FixedKeyLength< 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedBlockSize< 4 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 8 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.
Static Public Attributes inherited from FixedRounds< 32 >
static const int | ROUNDS
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

SIMECK 32-bit block cipher.

SIMECK32 provides 32-bit block size. The valid key size is 64-bit.

Note
  Crypto++ provides a byte oriented implementation

See also
  SIMECK64, SIMECK, The Simeck Family of Lightweight Block Ciphers

Since
  Crypto++ 8.0

Definition at line 59 of file simeck.h.

## Member Typedef Documentation

## Encryption

typedef BlockCipherFinal<ENCRYPTION, Enc> SIMECK32::Encryption

Definition at line 95 of file simeck.h.

## Decryption

typedef BlockCipherFinal<DECRYPTION, Dec> SIMECK32::Decryption

Definition at line 96 of file simeck.h.

The documentation for this class was generated from the following file:

- simeck.h